%define name	magicpoint
%define version	1.09a
%define release 3mdk

Summary:	Presentation tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD like
URL:		http://www.mew.org/mgp/
Group:		Office
Source:		ftp://ftp.mew.org/pub/MagicPoint/%{name}-%{version}.tar.bz2
Patch0:         magicpoint-1.09a-remove-rpath.patch.bz2
Patch1:         magicpoint-1.09a-defaults-to-latin1.patch.bz2
Patch2:         magicpoint-1.09a-emacs-mode--add-font-lock.patch.bz2
Patch3:         magicpoint-1.09a-xfont-force-same-one.patch.bz2
BuildRoot:	%_tmppath/%{name}-buildroot
Requires:	fonts-ttf-japanese libjpeg-progs

%description
MagicPoint is an X11 based presentation tool. It is designed to make
simple presentations easy while making complicated presentations
possible. Its presentation file is just text so that you can create
presentation files quickly with your favorite editor (e.g. Emacs).

It includes a true type library for elegant looking text and effects.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --enable-locale
xmkmf -a
%make CDEBUGFLAGS=-g

%install
%makeinstall install.man DESTDIR=$RPM_BUILD_ROOT

install -m 644 -D contrib/mgp-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/mgp-mode.el

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(autoload 'mgp-mode "mgp-mode" "MagicPoint editing mode" t)
(add-to-list 'auto-mode-alist '("\\\\.mgp$" . mgp-mode))
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYRIGHT FAQ README* RELNOTES SYNTAX USAGE
%doc sample/
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
/usr/X11R6/lib/X11/mgp

%changelog
* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.09a-3mdk
- rebuilding for libpng3

* Mon Oct  8 2001 Pixel <pixel@mandrakesoft.com> 1.09a-2mdk
- better X11 font choosing (?)
- add require libjpeg-progs

* Sun Oct  7 2001 Pixel <pixel@mandrakesoft.com> 1.09a-1mdk
- fixes, cleanup, emacs mode by default...
- new version

* Mon Sep 03 2001 Yves Duret <yduret@mandrakesoft.com> 1.08a-2mdk
- added a Requires on fonts-ttf-japanese
- added -q option to %%setup

* Wed Jun 13 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.08a-1mdk
- 1.08a
- sanitized spec file (s/Copyright/License, etc.)

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.07a-1mdk
- new in contribs
